<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.srs.comprehensive.mapper.GxsdxySjzx005XsxxMapper">

    <resultMap type="com.srs.comprehensive.domain.GxsdxySjzx005Xsxx" id="GxsdxySjzx005XsxxMap">
        <result property="xsdqztdm" column="XSDQZTDM" jdbcType="VARCHAR"/>
        <result property="xsdqztdmmc" column="XSDQZTDMMC" jdbcType="VARCHAR"/>
        <result property="xh" column="XH" jdbcType="VARCHAR"/>
        <result property="xm" column="XM" jdbcType="VARCHAR"/>
        <result property="xbdm" column="XBDM" jdbcType="VARCHAR"/>
        <result property="xbdmmc" column="XBDMMC" jdbcType="VARCHAR"/>
        <result property="mzdm" column="MZDM" jdbcType="VARCHAR"/>
        <result property="mzdmmc" column="MZDMMC" jdbcType="VARCHAR"/>
        <result property="bjbh" column="BJBH" jdbcType="VARCHAR"/>
        <result property="bjmc" column="BJMC" jdbcType="VARCHAR"/>
        <result property="bjjc" column="BJJC" jdbcType="VARCHAR"/>
        <result property="ndzydm" column="NDZYDM" jdbcType="VARCHAR"/>
        <result property="zybh" column="ZYBH" jdbcType="VARCHAR"/>
        <result property="zymc" column="ZYMC" jdbcType="VARCHAR"/>
        <result property="zyjc" column="ZYJC" jdbcType="VARCHAR"/>
        <result property="dwbh" column="DWBH" jdbcType="VARCHAR"/>
        <result property="dwmc" column="DWMC" jdbcType="VARCHAR"/>
        <result property="dwjc" column="DWJC" jdbcType="VARCHAR"/>
        <result property="sznj" column="SZNJ" jdbcType="VARCHAR"/>
    </resultMap>

    <!--查询所有-->
    <select id="queryAll" resultMap="GxsdxySjzx005XsxxMap">
        select  XSDQZTDM,
               XSDQZTDMMC,
               XH,
               XM,
               XBDM,
               XBDMMC,
               MZDM,
               MZDMMC,
               BJBH,
               BJMC,
               BJJC,
               NDZYDM,
               ZYBH,
               ZYMC,
               ZYJC,
               DWBH,
               DWMC,
               DWJC,
               SZNJ
        from  xgxt_iwh.gxsdxy_sjzx_005_xsxx
        <where>
            <if test="xsdqztdm != null and xsdqztdm != ''">
                and XSDQZTDM = #{xsdqztdm}
            </if>
            <if test="xsdqztdmmc != null and xsdqztdmmc != ''">
                and XSDQZTDMMC = #{xsdqztdmmc}
            </if>
            <if test="xh != null and xh != ''">
                and XH = #{xh}
            </if>
            <if test="xm != null and xm != ''">
                and XM = #{xm}
            </if>
            <if test="xbdm != null and xbdm != ''">
                and XBDM = #{xbdm}
            </if>
            <if test="xbdmmc != null and xbdmmc != ''">
                and XBDMMC = #{xbdmmc}
            </if>
            <if test="mzdm != null and mzdm != ''">
                and MZDM = #{mzdm}
            </if>
            <if test="mzdmmc != null and mzdmmc != ''">
                and MZDMMC = #{mzdmmc}
            </if>
            <if test="bjbh != null and bjbh != ''">
                and BJBH = #{bjbh}
            </if>
            <if test="bjmc != null and bjmc != ''">
                and BJMC = #{bjmc}
            </if>
            <if test="bjjc != null and bjjc != ''">
                and BJJC = #{bjjc}
            </if>
            <if test="ndzydm != null and ndzydm != ''">
                and NDZYDM = #{ndzydm}
            </if>
            <if test="zybh != null and zybh != ''">
                and ZYBH = #{zybh}
            </if>
            <if test="zymc != null and zymc != ''">
                and ZYMC = #{zymc}
            </if>
            <if test="zyjc != null and zyjc != ''">
                and ZYJC = #{zyjc}
            </if>
            <if test="dwbh != null and dwbh != ''">
                and DWBH = #{dwbh}
            </if>
            <if test="dwmc != null and dwmc != ''">
                and DWMC = #{dwmc}
            </if>
            <if test="dwjc != null and dwjc != ''">
                and DWJC = #{dwjc}
            </if>
            <if test="sznj != null and sznj != ''">
                and SZNJ = #{sznj}
            </if>
        </where>

    </select>

    <select id="selectMajorAll" resultMap="GxsdxySjzx005XsxxMap" >
        select DISTINCT  ZYBH,ZYMC,DWMC from  xgxt_iwh.gxsdxy_sjzx_005_xsxx
    </select>

    <select id="selectClassAll" resultMap="GxsdxySjzx005XsxxMap" >
        select DISTINCT  BJBH,BJMC,SZNJ,ZYBH from  xgxt_iwh.gxsdxy_sjzx_005_xsxx
    </select>

</mapper>


